/**
 * DS—SPECIFIC Desktop Styles
 * Styles for standard desktops (1440px+)
 */


 /*
——————————————————————————————————————————
VARIABLES & RESET
——————————————————————————————————————————
*/

:root {

	/* GRID */
	--G01: repeat(12, 1fr); /* 12 columns grid */

	/* SIZES */
	--bar: 120px;
}

 /*
——————————————————————————————————————————
TYPOGRAPHY
——————————————————————————————————————————
*/

/* FONT SIZES & VARIANTS */
.site-branding 										{ font-size: var(--FS07); }
.site-branding h1									{ font-size: 21vh; }

.entry-header-title 								{ font-size: var(--FS07); }

.text-regular 										{ font-size: var(--FS02); }
.text-medium 										{ font-size: var(--FS05); line-height: 1.40em ; }
.text-large 										{ font-size: var(--FS05); line-height: 1.40em ; }

.toolbar, .toolbar button 							{ font-size: var(--FS02); }

.colophon 											{ font-size: var(--FS02); }

.site-footer 										{ font-size: var(--FS02); }

/*
——————————————————————————————————————————
MAIN HEADER & NAV
——————————————————————————————————————————
*/

#masthead 											{ padding: var(--S06); display: grid; grid-template-columns: var(--G01); gap: var(--S03); transition: all var(--A03); }

.site-branding 										{ grid-column: 1 / span 2; }
.entry-header-title 								{ grid-column: 3 / span 4; padding-right: 0; }

.home .site-branding 								{ margin-top: 0; }

/* PRIMARY NAVIGATION */
.main-navigation 									{ width: auto; height: auto; padding: var(--S06); background: none; transform: translateX(0); visibility: visible; }
.main-navigation ul 								{ width: auto; height: 100%; flex-direction: row; align-items: center; justify-content: flex-end; gap: var(--S06); }

/* MENU TOGGLE  */
.menu-toggle 										{ display: none; }


/*
——————————————————————————————————————————
TOOLBARS
——————————————————————————————————————————
*/

.toolbar 											{ padding: 0 var(--S06); }

.toolbar__tabs 										{ grid-column: 3 / span 6; }
.toolbar__controls 									{ grid-column: 3 / span 6; }
.toolbar__filters 									{ grid-column: 3 / span 8; margin-top: calc(var(--S03) * -1); flex-direction: column; }
.toolbar__pager										{ grid-column: 3 / span 6; }

.toolbar__filters.is-open 							{ padding: 0 0 var(--S08) 0; }
.toolbar__options									{ flex-direction: row; gap: var(--S03); }

/*
——————————————————————————————————————————
LISTS
——————————————————————————————————————————
*/

.entries-grid										{ padding: 0 var(--S06); gap: var(--S08) var(--S04); }

.entry-card--media 									{ grid-column: span 6; }
.entry-card--text									{ grid-column: span 4; }

.entry-card__link 									{ flex-direction: row; gap: var(--S03); }

.entry-card__cover 									{ flex: 1 1 0; min-width: 0; }

.entry-card__info 									{ flex: 1 1 0; min-width: 0; justify-content: space-between; }
.entry-card__header 								{ gap: var(--S03); }
.entry-card__meta 									{ gap: var(--S02); }
.entry-card__meta-date 								{ flex: 4 1 0; min-width: 0; }
.entry-card__meta-cat 								{ flex: 6 1 0; min-width: 0; }

/*
——————————————————————————————————————————
CONTENT
——————————————————————————————————————————
*/

/* HOME */
.featured-item.desktop-only 						{ display: block; }

.featured-text 										{ padding: var(--S04) var(--S06); }

.featured-updates 									{ padding-top: var(--S08); }
 
/* SINGLE */
.entry-content 										{ padding: 0 var(--S06); gap: var(--S12) var(--S03); }
.content-block 										{ padding: 0 var(--S06); gap: var(--S12) var(--S03); }
.content-block--full								{ padding: 0 var(--S06) var(--S06) var(--S06);  }

.single-updates .content-block 						{ padding: var(--S08) var(--S06); gap: var(--S08) var(--S03); }

.entry__meta 										{ grid-column: 3 / span 8; }

.content 											{ grid-column: 2 / span 10; }
.single-updates .content 							{ grid-column: 2 / span 10; }

.colophon 											{ grid-column: 2 / span 4; }

/* BIOS */
.bios-block											{ grid-column: 2 / span 10; flex-direction: row; gap: var(--S10) var(--S12); flex-wrap: wrap; }
.bio 												{ flex: 0 0 calc(50% - var(--S12) / 2); min-width: 0; }

/* TAB BLOCK */
.tab-block 											{ scroll-margin: var(--bar); }
#tab-gallery										{ scroll-margin: var(--bar); }
#tab-info											{ scroll-margin: var(--bar); }

/*
——————————————————————————————————————————
NO RESULTS / 404
——————————————————————————————————————————
*/

.no-results 										{ padding: var(--S06); }
.no-content											{ padding: var(--S06); }


/*
——————————————————————————————————————————
FOOTER
——————————————————————————————————————————
*/

.site-footer 										{ padding: var(--S06); }

/* FOOTER NAVIGATION */
.footer-navigation ul 								{ flex-direction: row; flex-wrap: nowrap; gap: var(--S03); }